Page MenuHomePhabricator

LoginNotify not working for everyone apparently
Closed, ResolvedPublic8 Estimate Story Points

Description

LoginNotify works for some users and not for others. What's going on?

Didn't work for when Niharika and Danny tried to log into Nick, Johan, Leon and Max's accounts.

Worked when Niharika tried to log into Danny's account.

Worked when Danny tried to log into Ryan's account.

Problem with known IPs? Checkuser something something?

Details

Related Gerrit Patches:
mediawiki/extensions/LoginNotify : wmf/1.30.0-wmf.15Fix check
mediawiki/extensions/LoginNotify : masterFix check
mediawiki/extensions/LoginNotify : masterEven more logging
mediawiki/extensions/LoginNotify : wmf/1.30.0-wmf.15Even more logging
mediawiki/extensions/LoginNotify : wmf/1.30.0-wmf.14Fix typo where IP wasn't retrieved from job
mediawiki/extensions/LoginNotify : wmf/1.30.0-wmf.15Fix typo where IP wasn't retrieved from job
mediawiki/extensions/LoginNotify : masterAdd more checks for user existence
mediawiki/extensions/LoginNotify : masterFix typo where IP wasn't retrieved from job
mediawiki/extensions/LoginNotify : wmf/1.30.0-wmf.15Log the heck out of everything
operations/mediawiki-config : masterAdd a log channel for LoginNotify
mediawiki/extensions/LoginNotify : masterLog the heck out of everything

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2017, 11:00 PM
Niharika updated the task description. (Show Details)Aug 22 2017, 11:03 PM
kaldari triaged this task as Medium priority.Aug 22 2017, 11:11 PM
kaldari set the point value for this task to 8.
kaldari moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.
MaxSem claimed this task.Aug 22 2017, 11:13 PM

Does it work if Danny tries to log into Niharika?

Do Danny and Ryan belong to a group (eg. sysop) that Nick, Johan, Leon and Max don't?

Change 373170 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/LoginNotify@master] Log the heck out of everything

https://gerrit.wikimedia.org/r/373170

Does it work if Danny tries to log into Niharika?

Didn't try.

Do Danny and Ryan belong to a group (eg. sysop) that Nick, Johan, Leon and Max don't?

Definitely not.

Change 373172 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[operations/mediawiki-config@master] Add a log channel for LoginNotify

https://gerrit.wikimedia.org/r/373172

Change 373170 merged by jenkins-bot:
[mediawiki/extensions/LoginNotify@master] Log the heck out of everything

https://gerrit.wikimedia.org/r/373170

Change 373330 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/LoginNotify@wmf/1.30.0-wmf.15] Log the heck out of everything

https://gerrit.wikimedia.org/r/373330

Change 373330 merged by jenkins-bot:
[mediawiki/extensions/LoginNotify@wmf/1.30.0-wmf.15] Log the heck out of everything

https://gerrit.wikimedia.org/r/373330

Change 373172 merged by jenkins-bot:
[operations/mediawiki-config@master] Add a log channel for LoginNotify

https://gerrit.wikimedia.org/r/373172

Mentioned in SAL (#wikimedia-operations) [2017-08-23T18:52:10Z] <niharika29@tin> Synchronized php-1.30.0-wmf.15/extensions/LoginNotify/: Log everything T173888 (duration: 00m 48s)

Mentioned in SAL (#wikimedia-operations) [2017-08-23T18:57:30Z] <niharika29@tin> Synchronized wmf-config/InitialiseSettings.php: Log channel for LoginNotify T173888 (duration: 00m 47s)

Change 373359 had a related patch set uploaded (by Brian Wolff; owner: Brian Wolff):
[mediawiki/extensions/LoginNotify@master] Fix typo where IP wasn't retrieved from job

https://gerrit.wikimedia.org/r/373359

There's a lot of log entries that look like:

2017-08-23 20:31:09 [26c2e7d06a173130d76d58b8] mw1161 dewikibooks 1.30.0-wmf.15 LoginNotify INFO: Sending a login-fail-new notification to 127.0.0.1 {"function":"LoginNotify\\LoginNotify::sendNotice","type":"login-fail-new","user":"127.0.0.1"}

Cross referencing these with badpass.log, it appears these mostly happen when the "guessed" condition is true (Which means a username and not a User object was passed). In many cases this seems to mean that the user account doesn't exist, but I'm not sure that's all cases

Change 373359 merged by jenkins-bot:
[mediawiki/extensions/LoginNotify@master] Fix typo where IP wasn't retrieved from job

https://gerrit.wikimedia.org/r/373359

Change 373383 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/LoginNotify@master] Add more checks for user existence

https://gerrit.wikimedia.org/r/373383

Change 373387 had a related patch set uploaded (by Niharika29; owner: Brian Wolff):
[mediawiki/extensions/LoginNotify@wmf/1.30.0-wmf.15] Fix typo where IP wasn't retrieved from job

https://gerrit.wikimedia.org/r/373387

Change 373388 had a related patch set uploaded (by Niharika29; owner: Brian Wolff):
[mediawiki/extensions/LoginNotify@wmf/1.30.0-wmf.14] Fix typo where IP wasn't retrieved from job

https://gerrit.wikimedia.org/r/373388

Change 373383 merged by jenkins-bot:
[mediawiki/extensions/LoginNotify@master] Add more checks for user existence

https://gerrit.wikimedia.org/r/373383

Change 373387 merged by jenkins-bot:
[mediawiki/extensions/LoginNotify@wmf/1.30.0-wmf.15] Fix typo where IP wasn't retrieved from job

https://gerrit.wikimedia.org/r/373387

Change 373388 merged by jenkins-bot:
[mediawiki/extensions/LoginNotify@wmf/1.30.0-wmf.14] Fix typo where IP wasn't retrieved from job

https://gerrit.wikimedia.org/r/373388

Current situation: we create jobs, nothing from jobs ends up in the log:

2017-08-24 01:11:26 [WZ4nugpAMFYAAAWfZiAAAAAQ] mw1251 testwiki 1.30.0-wmf.15 LoginNotify DEBUG: Checking cookies and cache for MaxSem: not known {"function":"LoginNotify\\LoginNotify::isKnownSystemFast","user":"MaxSem","result":"not known"}
2017-08-24 01:11:26 [WZ4nugpAMFYAAAWfZiAAAAAQ] mw1251 testwiki 1.30.0-wmf.15 LoginNotify DEBUG: Login failed, creating a job to verify MaxSem, result so far: not known {"function":"LoginNotify\\LoginNotify::createJob","status":"failed","user":"MaxSem","result":"not known"}
2017-08-24 01:11:46 [WZ4nzgpAMEoAAIEiGloAAABD] mw1239 testwiki 1.30.0-wmf.15 LoginNotify DEBUG: Checking cookies and cache for MaxSem: not known {"function":"LoginNotify\\LoginNotify::isKnownSystemFast","user":"MaxSem","result":"not known"}
2017-08-24 01:11:46 [WZ4nzgpAMEoAAIEiGloAAABD] mw1239 testwiki 1.30.0-wmf.15 LoginNotify DEBUG: Login failed, creating a job to verify MaxSem, result so far: not known {"function":"LoginNotify\\LoginNotify::createJob","status":"failed","user":"MaxSem","result":"not known"}

I was debugging by testing on testwiki and then looking in the testwiki.log since that captures pretty much everything

Change 373680 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/LoginNotify@master] Even more logging

https://gerrit.wikimedia.org/r/373680

Change 373680 merged by jenkins-bot:
[mediawiki/extensions/LoginNotify@master] Even more logging

https://gerrit.wikimedia.org/r/373680

Change 373691 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/LoginNotify@wmf/1.30.0-wmf.15] Even more logging

https://gerrit.wikimedia.org/r/373691

Change 373691 merged by MaxSem:
[mediawiki/extensions/LoginNotify@wmf/1.30.0-wmf.15] Even more logging

https://gerrit.wikimedia.org/r/373691

Change 373699 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/LoginNotify@master] Fix check

https://gerrit.wikimedia.org/r/373699

Change 373699 merged by jenkins-bot:
[mediawiki/extensions/LoginNotify@master] Fix check

https://gerrit.wikimedia.org/r/373699

Change 373701 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/LoginNotify@wmf/1.30.0-wmf.15] Fix check

https://gerrit.wikimedia.org/r/373701

Change 373701 merged by jenkins-bot:
[mediawiki/extensions/LoginNotify@wmf/1.30.0-wmf.15] Fix check

https://gerrit.wikimedia.org/r/373701

MaxSem closed this task as Resolved.Aug 25 2017, 6:51 PM
Niharika moved this task from Estimated to Archive on the Community-Tech board.Aug 29 2017, 8:30 PM